.notification {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    max-width: 25em;
    padding: 1em;
    box-sizing: border-box;
    font-family: Cabin, sans-serif;
}

.notification-icon {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 2px solid #C8C8C8;
    border-radius: 100%;
    width: 2em;
    height: 2em;
    font-size: 2em;
    font-weight: bold;
    color: #6E6E6E;
    font-family: Roboto, sans-serif;
}

.error .notification-icon {
    border: 2px solid #DC3545;
    color: #DC3545;
}

.info .notification-icon {
    border: 2px solid #17A2B8;
    color: #17A2B8;
}

.success .notification-icon {
    border: 2px solid #28A745;
    color: #28A745;
}

.warning .notification-icon {
    border: 2px solid #FFC107;
    color: #FFC107;
}

.notification-text {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: center;
    text-align: center;
    font-size: 1.15em;
    line-height: 1.5;
    color: #6E6E6E;
    margin: 2em 0;
}

.notification-button {
    margin: 0 0 1em;
}

.notification .button {
    border: 1px solid transparent;
    box-shadow: 0 3px 1px -2px rgba(0, 0, 0, 0.2), 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, .12);
    border-radius: 0;
    text-transform: uppercase;
    font-weight: 500;
}

.notification.error .button {
    background-color: #DC3545;
    color: #FFFFFF;
}

.notification.success .button {
    background-color: #28A745;
    color: #FFFFFF;
}

.notification.warning .button {
    background-color: #FFC107;
}

.notification.info .button {
    background-color: #17A2B8;
    color: #FFFFFF;
}